Subject: Re: Submodule object store

From: Martin Waitz <[email-masked]>
Date: Tue, 27 Mar 2007 18:44:28 +0200

hoi :)

On Tue, Mar 27, 2007 at 06:56:09PM +0200, Josef Weidendorfer wrote:
> On Tuesday 27 March 2007, Martin Waitz wrote:
> > For any other way to separate the odb (project id, whatever), we
> > can't get a list of references into it by a path-limited traversal
> > in the parent. Thus separate odbs which are not bound to a special
> > location have some serious downsides.
> 
> For path-limited traversal, you still need to know all the paths
> with super/subproject boundaries somewhere in the history.
> Do you store this information somewhere?
> If so, how is this different from directly storing the boundaries
> (aside from size)?

You only need the path-limited traversal when you want to look at one
individual submodule.  And then you start the operation in this
submodule, so you know the path.

-- 
Martin Waitz